<?php
include('functions.php');

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
	$url = $_POST['url'];
	
	$url = preg_replace("/:/", "$(colon)", $url);
	
	echo telnet_send("request.push ffmpeg2wav:youtube-dl:" . $url);
}
?>

<html>
<head>
	<title>Radio Dodsorfas</title>
</head>

<body>
	<form action="/index.php" method="post">
		Song: <input type="text" name="url"><br>
		<input type="submit" value="Submit">
	</form> 
</body>
</html>
